
Subscription - Bug #2041

Conflict with Backlogs

30 May 2012 11:52 - Ian Herbert

Status: Closed Start date: 30 May 2012

Priority: Major Due date: 23 Oct 2013

Assignee: Andriy Lesyuk % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.0.1b   

Redmine version: 1.4.1 External issue:  

Description

I’ve just tried to install the subscriptions plugin and get the following error when trying to migrate the database with rake

db:migrate_plugins RAILS_ENV=production:

Mysql::Error: Table 'releases’ already exists: CREATE TABLE `releases` (`id` int(11) DEFAULT NULL auto_increment PRIMARY

KEY, `version_id` int(11) NOT NULL, `created_on` datetime NOT NULL) ENGINE=InnoDB

I’ve also got the redminebacklogs plugin installed, could that be causing a conflict?

Associated revisions

Revision 17 - 24 Oct 2013 13:34 - Andriy Lesyuk

Renamed :releases table (fixes #2041), hiding form if not actions are enabled (related to #2044)

History

#1 - 22 Jun 2012 22:43 - Andriy Lesyuk

- Status changed from New to Open

- Priority changed from Normal to Major

- Target version set to 0.0.1b

Exactly! Redmine Backlogs also uses releases table...

Thanks for reporting! Will rename mine.

#2 - 22 Oct 2013 23:43 - Andriy Lesyuk

- Subject changed from Error trying to install to Conflict with Backlogs

#3 - 23 Oct 2013 18:30 - Andriy Lesyuk

- Status changed from Open to In Progress

- % Done changed from 0 to 80

#4 - 24 Oct 2013 13:34 - Andriy Lesyuk

- Due date set to 23 Oct 2013

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
